### Constructor

# Rsvg Handlenew_from_file

#### Declaration [src]

    RsvgHandle*
    rsvg_handle_new_from_file (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads the SVG specified by `file_name`. Note that this function, like `rsvg_handle_new()`, does not specify any loading flags for the resulting handle. If you require the use of `RsvgHandleFlags`, use `rsvg_handle_new_from_gfile_sync()`.

Available since: | 2.14

#### Parameters

`filename` | `const gchar*`
| The file name to load, or a URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `RsvgHandle`
| A `RsvgHandle` or `NULL` if an error occurs.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.